View Javadoc

    1   /* Generated By:JJTree: Do not edit this line. ASTDeclaration.java */
    2
    3   package net.sourceforge.pmd.lang.jsp.ast;
    4
    5   public class ASTDeclaration extends AbstractJspNode {
    6
    7   /* BEGIN CUSTOM CODE */
    8       private String name;
    9
    10      /**
    11       * @return Returns the name.
    12       */
    13      public String getName() {
    14          return name;
    15      }
    16
    17      /**
    18       * @param name The name to set.
    19       */
    20      public void setName(String name) {
    21          this.name = name;
    22      }
    23  /* END CUSTOM CODE */
    24
    25
    26      public ASTDeclaration(int id) {
    27          super(id);
    28      }
    29
    30      public ASTDeclaration(JspParser p, int id) {
    31          super(p, id);
    32      }
    33
    34
    35      /**
    36       * Accept the visitor. *
    37       */
    38      public Object jjtAccept(JspParserVisitor visitor, Object data) {
    39          return visitor.visit(this, data);
    40      }
    41  }